#
# spec file for package ghc-parsec
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name parsec
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        3.1.11
Release:        6.12
Summary:        Monadic parser combinators
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif

%description
Parsec is designed from scratch as an industrial-strength parser library.
It is simple, safe, well documented (on the package homepage), has extensive
libraries, good error messages, and is fast. It is defined as a monad
transformer that can be stacked on arbitrary monads, and it is also parametric
in the input stream type.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 3.1.11 revision 0 with cabal2obs.
* Sat May 14 2016 mimi.vx@gmail.com
- update to 3.1.11
- remove useless _service
  * Most types now have a `Typeable` instance. Some instances are dropped from
  older versions of GHC (sorry about that!).
  * The token-parser now rejects Unicode numeric escape sequences for characters
    outside the Unicode range.
  * The token-parser now loses less precision when parsing literal doubles.
  * Documentation fixes and corrections.
* Sat Apr 11 2015 mimi.vx@gmail.com
- update to 3.1.9
  * Add an 'Eq' instance for 'ParseError'
  * Fixed a regression from 3.1.6: 'runP' is again exported from module
  Text.Parsec.
  * Fix a regression from 3.1.6 related to exports from the main module.
  * Fix a regression from 3.1.6 related to the reported position of error messages.
  * Reset the current error position on success of 'lookAhead'.
  * Export 'Text' instances from Text.Parsec
  * Make Text.Parsec exports more visible
  * Re-arrange Text.Parsec exports
  * Add functions 'crlf' and 'endOfLine' to Text.Parsec.Char for handling
  input streams that do not have normalized line terminators.
  * Fix off-by-one error in Token.charControl
* Fri Sep 12 2014 peter.trommler@ohm-hochschule.de
- update to 3.1.5
  * no changelog
  * Haskell Platform 2014.2.0.0
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- more transparent packaging (fewer macros)
* Mon Jan  7 2013 peter.trommler@ohm-hochschule.de
- expand macro in name tag to help source validator
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Tue Oct  2 2012 peter.trommler@ohm-hochschule.de
- update to 3.1.3 from upstream (no changelog)
- required by Haskell Platform 2012.4.0.0
* Sun Jun  3 2012 peter.trommler@ohm-hochschule.de
- update to 3.1.2 from upstream (no changelog)
- required by Haskell Platform 2012.2.0.0
* Wed Dec 28 2011 peter.trommler@ohm-hochschule.de
- Adjusted version for platform 2011.4
* Thu Dec  8 2011 peter.trommler@ohm-hochschule.de
- Fixed arches.
* Thu Dec  8 2011 peter.trommler@ohm-hochschule.de
- Initial packaging.
